using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace SharedPhidgetsExample_InterfaceKit
{
	/// <summary>
	/// Interfacekit example for the SharedPhidgets platform
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private GroupLab.SharedPhidgets.InterfaceKit interfaceKit1;
		private GroupLab.SharedPhidgets.InterfaceKitSkin interfaceKitSkin1;
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Button button3;
		private GroupLab.SharedPhidgets.ConnectionManager connectionManager1;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.interfaceKit1 = new GroupLab.SharedPhidgets.InterfaceKit(this.components);
			this.interfaceKitSkin1 = new GroupLab.SharedPhidgets.InterfaceKitSkin();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.button1 = new System.Windows.Forms.Button();
			this.button2 = new System.Windows.Forms.Button();
			this.button3 = new System.Windows.Forms.Button();
			this.connectionManager1 = new GroupLab.SharedPhidgets.ConnectionManager(this.components);
			this.SuspendLayout();
			// 
			// interfaceKit1
			// 
			this.interfaceKit1.AutoAttach = true;
			this.interfaceKit1.FilterSerialNumbers.Add(2501);
			this.interfaceKit1.PhidgetDevice = null;
			this.interfaceKit1.InputChange += new GroupLab.SharedPhidgets.BitStateChangeEventHandler(this.interfaceKit1_InputChange);
			this.interfaceKit1.SensorChange += new GroupLab.SharedPhidgets.IndexSensorChangeEventHandler(this.interfaceKit1_SensorChange);
			// 
			// interfaceKitSkin1
			// 
			this.interfaceKitSkin1.InterfaceKit = this.interfaceKit1;
			this.interfaceKitSkin1.Location = new System.Drawing.Point(16, 16);
			this.interfaceKitSkin1.Name = "interfaceKitSkin1";
			this.interfaceKitSkin1.PhidgetComponent = this.interfaceKit1;
			this.interfaceKitSkin1.Size = new System.Drawing.Size(656, 440);
			this.interfaceKitSkin1.TabIndex = 0;
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(16, 480);
			this.textBox1.Multiline = true;
			this.textBox1.Name = "textBox1";
			this.textBox1.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.textBox1.Size = new System.Drawing.Size(328, 224);
			this.textBox1.TabIndex = 1;
			this.textBox1.Text = "";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(376, 480);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(104, 24);
			this.button1.TabIndex = 2;
			this.button1.Text = "Output 1";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// button2
			// 
			this.button2.Location = new System.Drawing.Point(376, 512);
			this.button2.Name = "button2";
			this.button2.Size = new System.Drawing.Size(104, 24);
			this.button2.TabIndex = 3;
			this.button2.Text = "Output 2";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// button3
			// 
			this.button3.Location = new System.Drawing.Point(376, 544);
			this.button3.Name = "button3";
			this.button3.Size = new System.Drawing.Size(104, 24);
			this.button3.TabIndex = 4;
			this.button3.Text = "Output 3";
			this.button3.Click += new System.EventHandler(this.button3_Click);
			// 
			// connectionManager1
			// 
			this.connectionManager1.SharedDictionaryURL = "tcp://136.159.7.93:sp";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(696, 744);
			this.Controls.Add(this.button3);
			this.Controls.Add(this.button2);
			this.Controls.Add(this.button1);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.interfaceKitSkin1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void interfaceKit1_InputChange(object sender, GroupLab.SharedPhidgets.BitStateChangeEventArgs e)
		{
			this.textBox1.Text =
				"Status of input " + e.Index + ": " + e.State +
				System.Environment.NewLine +
				this.textBox1.Text;
		}

		private void interfaceKit1_SensorChange(object sender, GroupLab.SharedPhidgets.IndexSensorChangeEventArgs e)
		{
			this.textBox1.Text =
				"Value of sensor " + e.Index + ": " + e.Value +
				System.Environment.NewLine +
				this.textBox1.Text;	
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			this.interfaceKit1.Outputs[0].State = !this.interfaceKit1.Outputs[0].State;
		}

		private void button2_Click(object sender, System.EventArgs e)
		{
			this.interfaceKit1.Outputs[1].State = !this.interfaceKit1.Outputs[1].State;
		}

		private void button3_Click(object sender, System.EventArgs e)
		{
			this.interfaceKit1.Outputs[2].State = !this.interfaceKit1.Outputs[2].State;
		}
	}
}
